# Class ImagingCondition

Object
CodeList<ImagingCondition>
ImagingCondition

All Implemented Interfaces:
  `Serializable, Comparable<ImagingCondition>`

@UML(identifier="MD_ImagingConditionCode", specification=ISO_19115) public final class ImagingCondition extends CodeList<ImagingCondition>
Code which indicates conditions which may affect the image.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ImagingCondition`
  `BLURRED_IMAGE`
  Portion of the image is blurred.
  `static final ImagingCondition`
  `CLOUD`
  Portion of the image is partially obscured by cloud cover
  `static final ImagingCondition`
  `DEGRADING_OBLIQUITY`
  Acute angle between the plane of the ecliptic (the plane of the Earth's orbit) and the plane of the celestial equator.
  `static final ImagingCondition`
  `FOG`
  Portion of the image is partially obscured by fog.
  `static final ImagingCondition`
  `HEAVY_SMOKE_OR_DUST`
  Portion of the image is partially obscured by heavy smoke or dust.
  `static final ImagingCondition`
  `NIGHT`
  Image was taken at night.
  `static final ImagingCondition`
  `RAIN`
  Image was taken during rainfall.
  `static final ImagingCondition`
  `SEMI_DARKNESS`
  Image was taken during semi-dark conditions or twilight conditions.
  `static final ImagingCondition`
  `SHADOW`
  Portion of the image is obscured by shadow.
  `static final ImagingCondition`
  `SNOW`
  Portion of the image is obscured by snow.
  `static final ImagingCondition`
  `TERRAIN_MASKING`
  The absence of collection data of a given point or area caused by the relative location of topographic features which obstruct the collection path between the collector(s) and the subject(s) of interest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ImagingCondition[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static ImagingCondition`
  `valueOf(String code)`
  Returns the imaging condition that matches the given string, or returns a new one if none match it.
  `static ImagingCondition[]`
  `values()`
  Returns the list of `ImagingCondition`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BLURRED_IMAGE

    @UML(identifier="blurredImage", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition BLURRED_IMAGE
    Portion of the image is blurred.

  - ### CLOUD

    @UML(identifier="cloud", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition CLOUD
    Portion of the image is partially obscured by cloud cover

  - ### DEGRADING_OBLIQUITY

    @UML(identifier="degradingObliquity", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition DEGRADING_OBLIQUITY
    Acute angle between the plane of the ecliptic (the plane of the Earth's orbit) and the plane of the celestial equator.

  - ### FOG

    @UML(identifier="fog", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition FOG
    Portion of the image is partially obscured by fog.

  - ### HEAVY_SMOKE_OR_DUST

    @UML(identifier="heavySmokeOrDust", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition HEAVY_SMOKE_OR_DUST
    Portion of the image is partially obscured by heavy smoke or dust.

  - ### NIGHT

    @UML(identifier="night", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition NIGHT
    Image was taken at night.

  - ### RAIN

    @UML(identifier="rain", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition RAIN
    Image was taken during rainfall.

  - ### SEMI_DARKNESS

    @UML(identifier="semiDarkness", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition SEMI_DARKNESS
    Image was taken during semi-dark conditions or twilight conditions.

  - ### SHADOW

    @UML(identifier="shadow", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition SHADOW
    Portion of the image is obscured by shadow.

  - ### SNOW

    @UML(identifier="snow", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition SNOW
    Portion of the image is obscured by snow.

  - ### TERRAIN_MASKING

    @UML(identifier="terrainMasking", obligation=CONDITIONAL, specification=ISO_19115) public static final ImagingCondition TERRAIN_MASKING
    The absence of collection data of a given point or area caused by the relative location of topographic features which obstruct the collection path between the collector(s) and the subject(s) of interest.

- ## Method Details

  - ### values

    public static ImagingCondition[] values()
    Returns the list of `ImagingCondition`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public ImagingCondition[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<ImagingCondition>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static ImagingCondition valueOf(String code)
    Returns the imaging condition that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.